### Constructor

# Aravis Evaluator new

#### Declaration [src]

    ArvEvaluator*
    arv_evaluator_new (
      const char* expression
    )

#### Description [src]

Creates a new `ArvEvaluator` object. The syntax is described in the genicam standard specification.

#### Parameters

`expression`

  Type: `const char*`

  An evaluator expression.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ArvEvaluator`

A new `ArvEvaluator` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.